Package org.snpeff.vcf

# Class Pedigree

java.lang.Object
org.snpeff.vcf.Pedigree

All Implemented Interfaces:
  `Iterable<PedigreeEntry>`

public class Pedigree extends Object implements Iterable<PedigreeEntry>
A pedigree for cancer samples

## Constructor Summary

Constructors
Constructor
Description
`Pedigree(VcfFileIterator vcfFile)`
`Pedigree(VcfFileIterator vcfFile, String cancerSamples)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`anyBackToRef(VcfEntry vcfEntry)`
Are there any "back to reference" cancer variant
`boolean`
`anyDerived()`
Is there any derived sample?
`Set<Tuple<Integer,Integer>>`
`compareCancerGenotypes(VcfEntry vcfEntry)`
Analyze which comparisons to make in cancer genomes
`List<PedigreeEntry>`
`derived()`
A list of all derived pedigree entries
`Iterator<PedigreeEntry>`
`iterator()`
`void`
`setDebug(boolean debug)`
`void`
`setVerbose(boolean verbose)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### Pedigree

public Pedigree(VcfFileIterator vcfFile)

### Pedigree

public Pedigree(VcfFileIterator vcfFile, String cancerSamples)

## Method Details

### anyBackToRef

public boolean anyBackToRef(VcfEntry vcfEntry)
Are there any "back to reference" cancer variant

### anyDerived

public boolean anyDerived()
Is there any derived sample?

### compareCancerGenotypes

public Set<Tuple<Integer,Integer>> compareCancerGenotypes(VcfEntry vcfEntry)
Analyze which comparisons to make in cancer genomes

### derived

public List<PedigreeEntry> derived()
A list of all derived pedigree entries

### iterator

public Iterator<PedigreeEntry> iterator()

Specified by:
  `iterator` in interface `Iterable<PedigreeEntry>`

### setDebug

public void setDebug(boolean debug)

### setVerbose

public void setVerbose(boolean verbose)